#include <Wire.h>
#include <VL53L1X.h>

VL53L1X gVL531X;


VL53L1X sensor;
VL53L1X sensor2;

void setup()
{

  pinMode(4, OUTPUT);
  pinMode(5, OUTPUT);
  digitalWrite(4, LOW);
  digitalWrite(5, LOW);

  delay(500);
  Wire.begin();


  Serial.begin (9600);

  pinMode(4, INPUT);
  delay(150);
  //Serial.println("00");
  sensor.init(true);

  //Serial.println("01");
  delay(100);
  sensor.setAddress((uint8_t)22);
  //sensor.startContinuous();
  //Serial.println("02");
  sensor.setTimeout(500);

  pinMode(5, INPUT);
    delay(150);
  sensor2.init(true);
  //Serial.println("03");
  delay(100);
  sensor2.setAddress((uint8_t)25);
  //sensor2.startContinuous();
  //Serial.println("04");
  sensor2.setTimeout(500);
  
  Serial.println("addresses set");
  sensor.startContinuous(30);
  sensor2.startContinuous(30);
  Serial.println("start read range");
   
  gVL531X.setTimeout(1000);

  //連続測定を開始する、100⇒100ms間隔でサンプリングする、ここに0を指定した場合は可能な限り頻繁にサンプリングする
  //gVL531X.startContinuous(100);



}

void loop()
{
  int dist1;
  int dist2;
  dist1 = sensor.readRangeContinuousMillimeters();
  //delay(100);
  dist2 = sensor2.readRangeContinuousMillimeters();
  
  Serial.print(dist1);
  Serial.print("[mm]");
  Serial.print(dist2);
  Serial.println("[mm]");
  delay(30);

  //if (gVL531X.timeoutOccurred()){
    //Serial.print("タイムアウトが起きました\n");
  //}

  if (sensor.timeoutOccurred()){
    Serial.print("センサー1がタイムアウトしました\n");
  }
  if (sensor2.timeoutOccurred()){
    Serial.print("センサー2がタイムアウトしました\n");
  }
}
